Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.el
Class MethodInfo

    java.lang.Object
      javax.el.MethodInfo

    public class MethodInfo

extends java.lang.Object

Constructor Summary
`MethodInfo(java.lang.String name, java.lang.Class<?> returnType, java.lang.Class<?>[] paramTypes)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.Class<?>[]` | `getParamTypes()`
`java.lang.Class<?>` | `getReturnType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInfo

    public MethodInfo(java.lang.String name,
                      java.lang.Class<?> returnType,
                      java.lang.Class<?>[] paramTypes)

Method Detail

### getName

    public java.lang.String getName()

### getParamTypes

    public java.lang.Class<?>[] getParamTypes()

### getReturnType

    public java.lang.Class<?> getReturnType()

Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.